Bug 52649

Summary: [1.2][Handset] Syncevolution fails to sync addressbook due to backend missing
Product: SyncEvolution Reporter: SyncEvolution Community <syncevolution-issues>
Component: SyncEvolutionAssignee: Patrick Ohly <patrick.ohly>
Status: RESOLVED WONTFIX QA Contact:
Severity: normal    
Priority: medium CC: syncevolution-issues
Version: 1.2   
Hardware: All   
OS: All   
Whiteboard:
i915 platform: i915 features:
Attachments: sync log

Description Patrick Ohly 2012-07-29 18:36:00 UTC


---- Reported by shouweix.wang@intel.com 2011-05-11 03:48:37 +0000 ----

Created attachment 6307 [details] [review]
sync log

BUILD IMAGE:         
meego-handset-ia32-mtf-1.1.99.6.20110510.86-sda.bin.bz2
HARDWARE MODEL:
iCDK
BUG DETAILED DESCRIPTIONS
===========================================================
Syncevolution fails to sync addressbook due to backend missing on handset, show some error message on the screen,but on netbook it works well.I check handset and netbook packages,seems the packages of handset are lesser than netbook.
EXACT STEPS LEADING TO PROBLEM:
===========================================================
1.configure a service with google template:
$syncevolution -c -y username=<your_gmail_account> -y password=<your_gmail_passwd> -l google test
2.clean all contacts on client and server
3.add contacts on client and server, run a sync to make all contacts synced:
$syncevolution --run -s two-way test addressbook
4.shows the error message

EXPECTED OUTCOME:
===================
sync addressbook successful
ACTUAL OUTCOME:
===================
fail to sync addressbook
USER IMPACT:
===================
users unable to get the addressbook info
REPRODUCIBILITY:
=====================================
always
EXTRA SOFTWARE INSTALLED:
============================
N/A
OTHER COMMENTS:
===================
Handset packages:
[meego@localhost ~]$ rpm -qa | grep "syncevolution\|buteo\|evolution"
syncevolution-1.1.99.4-1.45.i586
evolution-data-server-2.32.3-1.17.i586

Netbook packages:
[meego@localhost ~]$ rpm -qa | grep "syncevolution\|buteo\|evolution"
syncevolution-evolution-1.1.99.4-1.45.i586
evolution-data-server-2.32.3-1.17.i586
syncevolution-1.1.99.4-1.45.i586
evolution-libs-2.32.3-1.9.i586
evolution-2.32.3-1.9.i586
syncevolution-gtk-1.1.99.4-1.45.i586



---- Additional Comments From patrick.ohly@intel.com 2011-05-11 06:29:41 +0000 ----

This needs to be fixed in the Handset kickstart file, not in SyncEvolution. Please find the right owner for this.



---- Additional Comments From jingke.zhang@intel.com 2011-05-11 06:33:21 +0000 ----

(In reply to comment #1)
> This needs to be fixed in the Handset kickstart file, not in SyncEvolution.
> Please find the right owner for this.         

Yes, syncevolution-evolution is missed. Shouwei, please manually install it and retest. If it PASS, I will forwards this to Peter. Thanks!



---- Additional Comments From shouweix.wang@intel.com 2011-05-11 07:20:43 +0000 ----

(In reply to comment #2)
> (In reply to comment #1)
> > This needs to be fixed in the Handset kickstart file, not in SyncEvolution.
> > Please find the right owner for this.         
> Yes, syncevolution-evolution is missed. Shouwei, please manually install it and
> retest. If it PASS, I will forwards this to Peter. Thanks!         

After installing syncevolution-evolution package and retest,it was still failed.

[meego@localhost ~]$ syncevolution -c -y username=xxxxxx@gmail.com -y password=xxxxxx -l google test
[meego@localhost ~]$ syncevolution --run -s two-way test addressbook 
[INFO] calendar: inactive
[INFO] memo: inactive
[INFO] todo: inactive
[INFO] SoupTransport Failure: https://m.google.com/syncml via libsoup: Cannot resolve hostname (m.google.com)
[INFO] Transport giving up after 0 retries and 0:01min
[ERROR] transport failed, retry period exceeded
[INFO] addressbook: inactive
[ERROR] aborted on behalf of user (local, status 20017)
 
Synchronization failed, see /home/meego/.cache/syncevolution/test-2011-05-10-00-00/syncevolution-log.html for details.
 
Changes applied during synchronization:
+---------------|-----------------------|-----------------------|-CON-+
|               |         LOCAL         |        REMOTE         | FLI |
|        Source | NEW | MOD | DEL | ERR | NEW | MOD | DEL | ERR | CTS |
+---------------+-----+-----+-----+-----+-----+-----+-----+-----+-----+
|   addressbook |  0  |  0  |  0  |  0  |  0  |  0  |  0  |  0  |  0  |
|   aborted on behalf of user (local, status 20017)                   |
+---------------+-----+-----+-----+-----+-----+-----+-----+-----+-----+
|          start Tue May 10 00:00:17 2011, duration 0:01min           |
|          external transport failure (local, status 20043)           |
+---------------+-----+-----+-----+-----+-----+-----+-----+-----+-----+
First ERROR encountered: transport failed, retry period exceeded
 
[ERROR] command line execution failure



---- Additional Comments From prajwal.karur.mohan@intel.com 2011-05-11 23:45:26 +0000 ----

There is no Handset release slated for MeeGo 1.2



---- Additional Comments From jingke.zhang@intel.com 2011-05-12 00:58:29 +0000 ----

Before distribution's action, we need to know which package is missed on earth.

Patrick, we report this bug, because distribution removed buteo packages in kickstart file. It means for handset (image1), we need to test syncevolution as core middleware data sync engine. If there is any decission to say "Handset image1 does not need data synchronization", please let me know. 

Hi Shouwei, 
As to your comment#3, I guess sync fails due to use libsoup to reach a "https". So, could you please help to provide:
1. openssl package info. Command is: rpm -qa | grep openssl
2. provide content of file --- /etc/resolv.conf 
3. Are you using ADSL? Need http_proxy?



---- Additional Comments From patrick.ohly@intel.com 2011-05-12 06:25:01 +0000 ----

(In reply to comment #5)
> Patrick, we report this bug, because distribution removed buteo packages in
> kickstart file. It means for handset (image1), we need to test syncevolution as
> core middleware data sync engine. If there is any decission to say "Handset
> image1 does not need data synchronization", please let me know.

I suggest that you stop testing sync on Handset images and instead focus on Tablet and Netbook. That covers the same software. As Praj said, there is no Handset vertical shipping 1.2.



---- Additional Comments From jingke.zhang@intel.com 2011-05-12 06:37:36 +0000 ----

(In reply to comment #6)
> (In reply to comment #5)
> > Patrick, we report this bug, because distribution removed buteo packages in
> > kickstart file. It means for handset (image1), we need to test syncevolution as
> > core middleware data sync engine. If there is any decission to say "Handset
> > image1 does not need data synchronization", please let me know.
> 
> I suggest that you stop testing sync on Handset images and instead focus on
> Tablet and Netbook. That covers the same software. As Praj said, there is no
> Handset vertical shipping 1.2.         

Got your confirmation, thanks! I agree with won't fix.



---- Additional Comments From shouweix.wang@intel.com 2011-05-12 06:56:37 +0000 ----

(In reply to comment #5)
> Before distribution's action, we need to know which package is missed on earth.
> Patrick, we report this bug, because distribution removed buteo packages in
> kickstart file. It means for handset (image1), we need to test syncevolution as
> core middleware data sync engine. If there is any decission to say "Handset
> image1 does not need data synchronization", please let me know. 
> Hi Shouwei, 
> As to your comment#3, I guess sync fails due to use libsoup to reach a "https".
> So, could you please help to provide:
> 1. openssl package info. Command is: rpm -qa | grep openssl
> 2. provide content of file --- /etc/resolv.conf 
> 3. Are you using ADSL? Need http_proxy?         

for 1:openssl-1.0.0c-2.4.i586
for 2:
[root@localhost ~]# vi /etc/resolv.conf
# Generated by Connection Manager
nameserver 127.0.0.1
for 3:I used ADSL finish the testing,and need't set http_proxy.



--- Bug imported by patrick.ohly@gmx.de 2012-07-29 20:36 UTC  ---

This bug was previously known as _bug_ 17379 at https://bugs.meego.com/show_bug.cgi?id=17379
Imported an attachment (id=64846)

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.